------------------------------------------------------------
-- VHDL FPGAUplinkSA2Dummy
-- 2007 11 16 16 7 50
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAUplinkSA2Dummy
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGAUplinkSA2Dummy Is
  port
  (
    AESIN     : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=AESIN
    AESOUT    : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=AESOUT
    CFG_CLK   : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CFG_CLK
    CFG_CS    : Out   STD_LOGIC_VECTOR(15 DOWNTO 0);         -- ObjectKind=Port|PrimaryId=CFG_CS[15..0]
    CFG_DIPSW : In    STD_LOGIC_VECTOR(1 TO 8);              -- ObjectKind=Port|PrimaryId=CFG_DIPSW[1..8]
    CFG_LED   : Out   STD_LOGIC_VECTOR(1 TO 2);              -- ObjectKind=Port|PrimaryId=CFG_LED[1..2]
    CFG_SI    : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CFG_SI
    CFG_SO    : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CFG_SO
    CFG_SW1   : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CFG_SW1
    CFG_SW2   : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CFG_SW2
    CLK       : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CLK
    CNTROUT   : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=CNTROUT
    DCLK1C    : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=DCLK1C
    DCLK2C    : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=DCLK2C
    DIC       : In    STD_LOGIC_VECTOR(5 TO 6);              -- ObjectKind=Port|PrimaryId=DIC[5..6]
    DOC       : Out   STD_LOGIC_VECTOR(5 TO 6);              -- ObjectKind=Port|PrimaryId=DOC[5..6]
    DTC       : Out   STD_LOGIC_VECTOR(5 TO 6);              -- ObjectKind=Port|PrimaryId=DTC[5..6]
    GECLK_N   : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=GECLK_N
    GECLK_P   : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=GECLK_P
    GEIN1_N   : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=GEIN1_N
    GEIN1_P   : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=GEIN1_P
    GEIN2_N   : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=GEIN2_N
    GEIN2_P   : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=GEIN2_P
    GEOUT1_N  : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=GEOUT1_N
    GEOUT1_P  : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=GEOUT1_P
    GEOUT2_N  : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=GEOUT2_N
    GEOUT2_P  : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=GEOUT2_P
    SYNC      : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=SYNC
    SYNCIN    : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=SYNCIN
    SYNCOUT   : Out   STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=SYNCOUT
    UCLK1C    : In    STD_LOGIC;                             -- ObjectKind=Port|PrimaryId=UCLK1C
    UIC       : In    STD_LOGIC_VECTOR(1 TO 6);              -- ObjectKind=Port|PrimaryId=UIC[1..6]
    UOC       : Out   STD_LOGIC_VECTOR(1 TO 6);              -- ObjectKind=Port|PrimaryId=UOC[1..6]
    UTC       : Out   STD_LOGIC_VECTOR(1 TO 6)               -- ObjectKind=Port|PrimaryId=UTC[1..6]
  );
  attribute MacroCell : boolean;

End FPGAUplinkSA2Dummy;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of FPGAUplinkSA2Dummy is
   Component AND8B                                           -- ObjectKind=Part|PrimaryId=U101|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(7 downto 0);                -- ObjectKind=Pin|PrimaryId=U101-I[7..0]
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U101-O
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U94|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U94-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U94-O
      );
   End Component;

   Component INV2B                                           -- ObjectKind=Part|PrimaryId=U92|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(1 downto 0);                -- ObjectKind=Pin|PrimaryId=U92-I[1..0]
        O : out STD_LOGIC_VECTOR(1 downto 0)                 -- ObjectKind=Pin|PrimaryId=U92-O[1..0]
      );
   End Component;

   Component INV6B                                           -- ObjectKind=Part|PrimaryId=U93|SecondaryId=1
      port
      (
        I : in  STD_LOGIC_VECTOR(5 downto 0);                -- ObjectKind=Pin|PrimaryId=U93-I[5..0]
        O : out STD_LOGIC_VECTOR(5 downto 0)                 -- ObjectKind=Pin|PrimaryId=U93-O[5..0]
      );
   End Component;

   Component WB_DualGigEMAC                                  -- ObjectKind=Part|PrimaryId=U95|SecondaryId=1
      port
      (
        ACK_O                   : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-ACK_O
        ADR_I                   : in  STD_LOGIC_VECTOR(10 downto 0); -- ObjectKind=Pin|PrimaryId=U95-ADR_I[10..0]
        CLK_I                   : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-CLK_I
        CYC_I                   : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-CYC_I
        DAT_I                   : in  STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Pin|PrimaryId=U95-DAT_I[31..0]
        DAT_O                   : out STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Pin|PrimaryId=U95-DAT_O[31..0]
        EMAC0_pause_req         : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_pause_req
        EMAC0_rx_bad_frame      : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_bad_frame
        EMAC0_rx_clk            : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_clk
        EMAC0_rx_data           : out STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_data[15..0]
        EMAC0_rx_data_valid     : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_data_valid
        EMAC0_rx_data_valid_msb : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_data_valid_msb
        EMAC0_rx_good_frame     : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_good_frame
        EMAC0_rx_n              : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_n
        EMAC0_rx_p              : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_p
        EMAC0_sync_acq          : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_sync_acq
        EMAC0_tx_ack            : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_ack
        EMAC0_tx_clk            : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_clk
        EMAC0_tx_data           : in  STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_data[15..0]
        EMAC0_tx_data_valid     : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_data_valid
        EMAC0_tx_data_valid_msb : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_data_valid_msb
        EMAC0_tx_n              : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_n
        EMAC0_tx_p              : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_p
        EMAC1_pause_req         : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_pause_req
        EMAC1_rx_bad_frame      : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_bad_frame
        EMAC1_rx_clk            : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_clk
        EMAC1_rx_data           : out STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_data[15..0]
        EMAC1_rx_data_valid     : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_data_valid
        EMAC1_rx_data_valid_msb : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_data_valid_msb
        EMAC1_rx_good_frame     : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_good_frame
        EMAC1_rx_n              : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_n
        EMAC1_rx_p              : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_p
        EMAC1_sync_acq          : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_sync_acq
        EMAC1_tx_ack            : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_ack
        EMAC1_tx_clk            : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_clk
        EMAC1_tx_data           : in  STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_data[15..0]
        EMAC1_tx_data_valid     : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_data_valid
        EMAC1_tx_data_valid_msb : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_data_valid_msb
        EMAC1_tx_n              : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_n
        EMAC1_tx_p              : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_p
        EMAC_reset              : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-EMAC_reset
        high_freq               : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-high_freq
        mgt_clk_n               : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-mgt_clk_n
        mgt_clk_p               : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-mgt_clk_p
        ref_clk                 : out STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-ref_clk
        RST_I                   : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-RST_I
        STB_I                   : in  STD_LOGIC;             -- ObjectKind=Pin|PrimaryId=U95-STB_I
        WE_I                    : in  STD_LOGIC              -- ObjectKind=Pin|PrimaryId=U95-WE_I
      );
   End Component;


    Signal NamedSignal_EMAC_WCLK                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal NamedSignal_EMAC_WCYC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal NamedSignal_EMAC_WSTB                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal NamedSignal_EMAC_WWE                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal NamedSignal_GND1_BUS                  : STD_LOGIC_VECTOR(1 to 2); -- ObjectKind=Net|PrimaryId=CFG_LED[1..2]
    Signal NamedSignal_GND2_BUS                  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=CFG_CS[15..0]
    Signal NamedSignal_GND3_BUS                  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=GND3_BUS[15..0]
    Signal NamedSignal_GND4_BUS                  : STD_LOGIC_VECTOR(10 downto 0); -- ObjectKind=Net|PrimaryId=EMAC_WADR[10..0]
    Signal NamedSignal_GND5_BUS                  : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=EMAC_WDATB[31..0]
    Signal NamedSignal_GND6_BUS                  : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=GND6_BUS[15..0]
    Signal NamedSignal_JoinA_JB_C1               : STD_LOGIC_VECTOR(1 to 8); -- ObjectKind=Net|PrimaryId=CFG_DIPSW[1..8]
    Signal NamedSignal_JoinA_JB_C2               : STD_LOGIC_VECTOR(5 to 6); -- ObjectKind=Net|PrimaryId=DOC[5..6]
    Signal NamedSignal_JoinA_JB_C3               : STD_LOGIC_VECTOR(5 to 6); -- ObjectKind=Net|PrimaryId=DIC[5..6]
    Signal NamedSignal_JoinA_JB_C4               : STD_LOGIC_VECTOR(5 to 6); -- ObjectKind=Net|PrimaryId=DTC[5..6]
    Signal NamedSignal_JoinA_JB_C5               : STD_LOGIC_VECTOR(1 to 6); -- ObjectKind=Net|PrimaryId=UTC[1..6]
    Signal NamedSignal_JoinA_JB_C6               : STD_LOGIC_VECTOR(1 to 6); -- ObjectKind=Net|PrimaryId=UOC[1..6]
    Signal NamedSignal_JoinA_JB_C7               : STD_LOGIC_VECTOR(1 to 6); -- ObjectKind=Net|PrimaryId=UIC[1..6]
    Signal NamedSignal_JoinB_JB_C1               : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=NetU101_I[7..0]
    Signal NamedSignal_JoinB_JB_C3               : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU92_I[1..0]
    Signal NamedSignal_JoinB_JB_C4               : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU92_O[1..0]
    Signal NamedSignal_JoinB_JB_C6               : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=NetU93_O[5..0]
    Signal NamedSignal_JoinB_JB_C7               : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=NetU93_I[5..0]
    Signal PinSignal_U100_O                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TX1_DATA_VALID_MSB
    Signal PinSignal_U101_O                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU101_O
    Signal PinSignal_U92_O                       : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=NetU92_O[1..0]
    Signal PinSignal_U93_O                       : STD_LOGIC_VECTOR(5 downto 0); -- ObjectKind=Net|PrimaryId=NetU93_O[5..0]
    Signal PinSignal_U94_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU94_O
    Signal PinSignal_U95_ACK_O                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=EMAC_WACK
    Signal PinSignal_U95_DAT_O                   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=EMAC_DATA[31..0]
    Signal PinSignal_U95_EMAC0_rx_bad_frame      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX0_BAD_FRAME
    Signal PinSignal_U95_EMAC0_rx_clk            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX0_CLK
    Signal PinSignal_U95_EMAC0_rx_data           : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=RX0_DATA[15..0]
    Signal PinSignal_U95_EMAC0_rx_data_valid     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX0_DATA_VALID
    Signal PinSignal_U95_EMAC0_rx_data_valid_msb : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX0_DATA_VALID_MSB
    Signal PinSignal_U95_EMAC0_rx_good_frame     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX0_GOOD_FRAME
    Signal PinSignal_U95_EMAC0_tx_ack            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TX0_ACK
    Signal PinSignal_U95_EMAC0_tx_clk            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TX0_CLK
    Signal PinSignal_U95_EMAC0_tx_n              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU95_EMAC0_tx_n
    Signal PinSignal_U95_EMAC0_tx_p              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU95_EMAC0_tx_p
    Signal PinSignal_U95_EMAC1_rx_bad_frame      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX1_BAD_FRAME
    Signal PinSignal_U95_EMAC1_rx_clk            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX1_CLK
    Signal PinSignal_U95_EMAC1_rx_data           : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=RX1_DATA[15..0]
    Signal PinSignal_U95_EMAC1_rx_data_valid     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX1_DATA_VALID
    Signal PinSignal_U95_EMAC1_rx_data_valid_msb : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX1_DATA_VALID_MSB
    Signal PinSignal_U95_EMAC1_rx_good_frame     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RX1_GOOD_FRAME
    Signal PinSignal_U95_EMAC1_tx_ack            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TX1_ACK
    Signal PinSignal_U95_EMAC1_tx_clk            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=TX1_CLK
    Signal PinSignal_U95_EMAC1_tx_n              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU95_EMAC1_tx_n
    Signal PinSignal_U95_EMAC1_tx_p              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU95_EMAC1_tx_p
    Signal PinSignal_U96_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU96_O
    Signal PinSignal_U97_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU97_O
    Signal PinSignal_U98_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU98_O
    Signal PowerSignal_GND                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

begin
    U101 : AND8B                                             -- ObjectKind=Part|PrimaryId=U101|SecondaryId=1
      Port Map
      (
        I => NamedSignal_JoinB_JB_C1,                        -- ObjectKind=Pin|PrimaryId=U101-I[7..0]
        O => PinSignal_U101_O                                -- ObjectKind=Pin|PrimaryId=U101-O
      );

    U100 : INV                                               -- ObjectKind=Part|PrimaryId=U100|SecondaryId=1
      Port Map
      (
        I => CFG_SI,                                         -- ObjectKind=Pin|PrimaryId=U100-I
        O => PinSignal_U100_O                                -- ObjectKind=Pin|PrimaryId=U100-O
      );

    U98 : INV                                                -- ObjectKind=Part|PrimaryId=U98|SecondaryId=1
      Port Map
      (
        I => AESIN,                                          -- ObjectKind=Pin|PrimaryId=U98-I
        O => PinSignal_U98_O                                 -- ObjectKind=Pin|PrimaryId=U98-O
      );

    U97 : INV                                                -- ObjectKind=Part|PrimaryId=U97|SecondaryId=1
      Port Map
      (
        I => SYNCIN,                                         -- ObjectKind=Pin|PrimaryId=U97-I
        O => PinSignal_U97_O                                 -- ObjectKind=Pin|PrimaryId=U97-O
      );

    U96 : INV                                                -- ObjectKind=Part|PrimaryId=U96|SecondaryId=1
      Port Map
      (
        I => CLK,                                            -- ObjectKind=Pin|PrimaryId=U96-I
        O => PinSignal_U96_O                                 -- ObjectKind=Pin|PrimaryId=U96-O
      );

    U95 : WB_DualGigEMAC                                     -- ObjectKind=Part|PrimaryId=U95|SecondaryId=1
      Port Map
      (
        ACK_O                   => PinSignal_U95_ACK_O,      -- ObjectKind=Pin|PrimaryId=U95-ACK_O
        ADR_I                   => NamedSignal_GND4_BUS,     -- ObjectKind=Pin|PrimaryId=U95-ADR_I[10..0]
        CLK_I                   => NamedSignal_EMAC_WCLK,    -- ObjectKind=Pin|PrimaryId=U95-CLK_I
        CYC_I                   => NamedSignal_EMAC_WCYC,    -- ObjectKind=Pin|PrimaryId=U95-CYC_I
        DAT_I                   => NamedSignal_GND5_BUS,     -- ObjectKind=Pin|PrimaryId=U95-DAT_I[31..0]
        DAT_O                   => PinSignal_U95_DAT_O,      -- ObjectKind=Pin|PrimaryId=U95-DAT_O[31..0]
        EMAC0_pause_req         => PowerSignal_GND,          -- ObjectKind=Pin|PrimaryId=U95-EMAC0_pause_req
        EMAC0_rx_bad_frame      => PinSignal_U95_EMAC0_rx_bad_frame, -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_bad_frame
        EMAC0_rx_clk            => PinSignal_U95_EMAC0_rx_clk, -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_clk
        EMAC0_rx_data           => PinSignal_U95_EMAC0_rx_data, -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_data[15..0]
        EMAC0_rx_data_valid     => PinSignal_U95_EMAC0_rx_data_valid, -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_data_valid
        EMAC0_rx_data_valid_msb => PinSignal_U95_EMAC0_rx_data_valid_msb, -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_data_valid_msb
        EMAC0_rx_good_frame     => PinSignal_U95_EMAC0_rx_good_frame, -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_good_frame
        EMAC0_rx_n              => GEIN1_P,                  -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_n
        EMAC0_rx_p              => GEIN1_N,                  -- ObjectKind=Pin|PrimaryId=U95-EMAC0_rx_p
        EMAC0_tx_ack            => PinSignal_U95_EMAC0_tx_ack, -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_ack
        EMAC0_tx_clk            => PinSignal_U95_EMAC0_tx_clk, -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_clk
        EMAC0_tx_data           => NamedSignal_GND3_BUS,     -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_data[15..0]
        EMAC0_tx_data_valid     => PowerSignal_GND,          -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_data_valid
        EMAC0_tx_data_valid_msb => CFG_SW2,                  -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_data_valid_msb
        EMAC0_tx_n              => PinSignal_U95_EMAC0_tx_n, -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_n
        EMAC0_tx_p              => PinSignal_U95_EMAC0_tx_p, -- ObjectKind=Pin|PrimaryId=U95-EMAC0_tx_p
        EMAC1_pause_req         => PowerSignal_GND,          -- ObjectKind=Pin|PrimaryId=U95-EMAC1_pause_req
        EMAC1_rx_bad_frame      => PinSignal_U95_EMAC1_rx_bad_frame, -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_bad_frame
        EMAC1_rx_clk            => PinSignal_U95_EMAC1_rx_clk, -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_clk
        EMAC1_rx_data           => PinSignal_U95_EMAC1_rx_data, -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_data[15..0]
        EMAC1_rx_data_valid     => PinSignal_U95_EMAC1_rx_data_valid, -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_data_valid
        EMAC1_rx_data_valid_msb => PinSignal_U95_EMAC1_rx_data_valid_msb, -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_data_valid_msb
        EMAC1_rx_good_frame     => PinSignal_U95_EMAC1_rx_good_frame, -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_good_frame
        EMAC1_rx_n              => GEIN2_N,                  -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_n
        EMAC1_rx_p              => GEIN2_P,                  -- ObjectKind=Pin|PrimaryId=U95-EMAC1_rx_p
        EMAC1_tx_ack            => PinSignal_U95_EMAC1_tx_ack, -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_ack
        EMAC1_tx_clk            => PinSignal_U95_EMAC1_tx_clk, -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_clk
        EMAC1_tx_data           => NamedSignal_GND6_BUS,     -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_data[15..0]
        EMAC1_tx_data_valid     => PowerSignal_GND,          -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_data_valid
        EMAC1_tx_data_valid_msb => PinSignal_U100_O,         -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_data_valid_msb
        EMAC1_tx_n              => PinSignal_U95_EMAC1_tx_n, -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_n
        EMAC1_tx_p              => PinSignal_U95_EMAC1_tx_p, -- ObjectKind=Pin|PrimaryId=U95-EMAC1_tx_p
        EMAC_reset              => PowerSignal_GND,          -- ObjectKind=Pin|PrimaryId=U95-EMAC_reset
        high_freq               => PowerSignal_VCC,          -- ObjectKind=Pin|PrimaryId=U95-high_freq
        mgt_clk_n               => GECLK_N,                  -- ObjectKind=Pin|PrimaryId=U95-mgt_clk_n
        mgt_clk_p               => GECLK_P,                  -- ObjectKind=Pin|PrimaryId=U95-mgt_clk_p
        RST_I                   => CFG_SW1,                  -- ObjectKind=Pin|PrimaryId=U95-RST_I
        STB_I                   => NamedSignal_EMAC_WSTB,    -- ObjectKind=Pin|PrimaryId=U95-STB_I
        WE_I                    => NamedSignal_EMAC_WWE      -- ObjectKind=Pin|PrimaryId=U95-WE_I
      );

    U94 : INV                                                -- ObjectKind=Part|PrimaryId=U94|SecondaryId=1
      Port Map
      (
        I => UCLK1C,                                         -- ObjectKind=Pin|PrimaryId=U94-I
        O => PinSignal_U94_O                                 -- ObjectKind=Pin|PrimaryId=U94-O
      );

    U93 : INV6B                                              -- ObjectKind=Part|PrimaryId=U93|SecondaryId=1
      Port Map
      (
        I => NamedSignal_JoinB_JB_C7,                        -- ObjectKind=Pin|PrimaryId=U93-I[5..0]
        O => PinSignal_U93_O                                 -- ObjectKind=Pin|PrimaryId=U93-O[5..0]
      );

    U92 : INV2B                                              -- ObjectKind=Part|PrimaryId=U92|SecondaryId=1
      Port Map
      (
        I => NamedSignal_JoinB_JB_C3,                        -- ObjectKind=Pin|PrimaryId=U92-I[1..0]
        O => PinSignal_U92_O                                 -- ObjectKind=Pin|PrimaryId=U92-O[1..0]
      );

    -- Signal Assignments
    ---------------------
    AESOUT                  <= PinSignal_U98_O; -- ObjectKind=Net|PrimaryId=NetU98_O
    CFG_CLK                 <= PinSignal_U101_O; -- ObjectKind=Net|PrimaryId=NetU101_O
    CFG_CS                  <= NamedSignal_GND2_BUS; -- ObjectKind=Net|PrimaryId=CFG_CS[15..0]
    CFG_LED                 <= NamedSignal_GND1_BUS; -- ObjectKind=Net|PrimaryId=CFG_LED[1..2]
    CFG_SO                  <= PinSignal_U100_O; -- ObjectKind=Net|PrimaryId=TX1_DATA_VALID_MSB
    CNTROUT                 <= PinSignal_U96_O; -- ObjectKind=Net|PrimaryId=NetU96_O
    DCLK1C                  <= PinSignal_U94_O; -- ObjectKind=Net|PrimaryId=NetU94_O
    DCLK2C                  <= PinSignal_U94_O; -- ObjectKind=Net|PrimaryId=NetU94_O
    DOC                     <= NamedSignal_JoinA_JB_C2; -- ObjectKind=Net|PrimaryId=DOC[5..6]
    DTC                     <= NamedSignal_JoinA_JB_C4; -- ObjectKind=Net|PrimaryId=DTC[5..6]
    GEOUT1_N                <= PinSignal_U95_EMAC0_tx_n; -- ObjectKind=Net|PrimaryId=NetU95_EMAC0_tx_n
    GEOUT1_P                <= PinSignal_U95_EMAC0_tx_p; -- ObjectKind=Net|PrimaryId=NetU95_EMAC0_tx_p
    GEOUT2_N                <= PinSignal_U95_EMAC1_tx_n; -- ObjectKind=Net|PrimaryId=NetU95_EMAC1_tx_n
    GEOUT2_P                <= PinSignal_U95_EMAC1_tx_p; -- ObjectKind=Net|PrimaryId=NetU95_EMAC1_tx_p
    NamedSignal_EMAC_WCLK   <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    NamedSignal_EMAC_WCYC   <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    NamedSignal_EMAC_WSTB   <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    NamedSignal_EMAC_WWE    <= PowerSignal_GND; -- ObjectKind=Net|PrimaryId=GND
    NamedSignal_GND1_BUS    <= "00"; -- ObjectKind=Net|PrimaryId=CFG_LED[1..2]
    NamedSignal_GND2_BUS    <= "0000000000000000"; -- ObjectKind=Net|PrimaryId=CFG_CS[15..0]
    NamedSignal_GND3_BUS    <= "0000000000000000"; -- ObjectKind=Net|PrimaryId=GND3_BUS[15..0]
    NamedSignal_GND4_BUS    <= "00000000000"; -- ObjectKind=Net|PrimaryId=EMAC_WADR[10..0]
    NamedSignal_GND5_BUS    <= "00000000000000000000000000000000"; -- ObjectKind=Net|PrimaryId=EMAC_WDATB[31..0]
    NamedSignal_GND6_BUS    <= "0000000000000000"; -- ObjectKind=Net|PrimaryId=GND6_BUS[15..0]
    NamedSignal_JoinA_JB_C1 <= CFG_DIPSW; -- ObjectKind=Net|PrimaryId=CFG_DIPSW[1..8]
    NamedSignal_JoinA_JB_C2 <= NamedSignal_JoinB_JB_C4;
    NamedSignal_JoinA_JB_C3 <= DIC; -- ObjectKind=Net|PrimaryId=DIC[5..6]
    NamedSignal_JoinA_JB_C4 <= NamedSignal_JoinB_JB_C4;
    NamedSignal_JoinA_JB_C5 <= NamedSignal_JoinB_JB_C6;
    NamedSignal_JoinA_JB_C6 <= NamedSignal_JoinB_JB_C6;
    NamedSignal_JoinA_JB_C7 <= UIC; -- ObjectKind=Net|PrimaryId=UIC[1..6]
    NamedSignal_JoinB_JB_C1 <= NamedSignal_JoinA_JB_C1;
    NamedSignal_JoinB_JB_C3 <= NamedSignal_JoinA_JB_C3;
    NamedSignal_JoinB_JB_C4 <= PinSignal_U92_O; -- ObjectKind=Net|PrimaryId=NetU92_O[1..0]
    NamedSignal_JoinB_JB_C6 <= PinSignal_U93_O; -- ObjectKind=Net|PrimaryId=NetU93_O[5..0]
    NamedSignal_JoinB_JB_C7 <= NamedSignal_JoinA_JB_C7;
    PowerSignal_GND         <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC         <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    SYNC                    <= PinSignal_U98_O; -- ObjectKind=Net|PrimaryId=NetU98_O
    SYNCOUT                 <= PinSignal_U97_O; -- ObjectKind=Net|PrimaryId=NetU97_O
    UOC                     <= NamedSignal_JoinA_JB_C6; -- ObjectKind=Net|PrimaryId=UOC[1..6]
    UTC                     <= NamedSignal_JoinA_JB_C5; -- ObjectKind=Net|PrimaryId=UTC[1..6]

end structure;
------------------------------------------------------------

